ooo-build r15353 - in trunk: . bin



Author: tml
Date: Tue Feb 17 14:20:58 2009
New Revision: 15353
URL: http://svn.gnome.org/viewvc/ooo-build?rev=15353&view=rev

Log:
2009-02-17  Tor Lillqvist  <tml novell com>


	* bin/unpack: As unicows.dll and instmsia.exe are not needed for
	NovellWin32 builds, see ChangeLog entry from 2008-12-15, don't
	bother unpacking them then either.



Modified:
   trunk/ChangeLog
   trunk/bin/unpack

Modified: trunk/bin/unpack
==============================================================================
--- trunk/bin/unpack	(original)
+++ trunk/bin/unpack	Tue Feb 17 14:20:58 2009
@@ -78,7 +78,13 @@
 cd $BUILDDIR
 
 if test "z$BUILD_WIN32" != "z"; then
-    check_file $UNICOWS_SRC
+    case "$DISTRO" in
+	NovellWin32*|GoOoWin32*)
+	    ;;
+	*)
+	    check_file $UNICOWS_SRC
+	    ;;
+    esac
     check_file $DBGINST_SRC
 
     # Comment out the Mozilla source related bits for now
@@ -115,8 +121,14 @@
     # instmsi?.exe are the installers for Windows Installer 2.0 for
     # Win9x, Windows NT 4 and Windows 2000, that nobody really needs
     # (I hope). But the installer-builder insists on including them
-    # with the installer
-    check_file $SRCDIR/instmsia.exe
+    # with the installer.
+    case "$DISTRO" in
+	NovellWin32*|GoOoWin32*)
+	    ;;
+	*)
+	    check_file $SRCDIR/instmsia.exe
+	    ;;
+    esac
     $echo_n "Looking for $SRCDIR/instmsiw.exe ... $echo_c"
     if test -f $SRCDIR/instmsiw.exe; then
 	echo "ok"
@@ -319,22 +331,28 @@
     fi
 
     # unicows
-    cd $BUILDDIR;
-    if test -f $OOBUILDDIR/external/unicows/unicows.dll; then
-	echo "Already have unicows";
-    else
-	$echo_n "Extracting unicows $echo_c"
-	cabextract -q $UNICOWS_SRC
-	TARGET=unicows.dll
-	if test -f $TARGET; then
-	    mv -f license.txt unicows-license.txt
-	    mv -f redist.txt unicows-redist.txt
-	    echo "done";
-	else
-	    echo "failed";
-	    exit 1;
-	fi
-    fi
+    case "$DISTRO" in
+	NovellWin32*|GoOoWin32*)
+	    ;;
+	*)
+	    cd $BUILDDIR;
+	    if test -f $OOBUILDDIR/external/unicows/unicows.dll; then
+		echo "Already have unicows";
+	    else
+		$echo_n "Extracting unicows $echo_c"
+		cabextract -q $UNICOWS_SRC
+		TARGET=unicows.dll
+		if test -f $TARGET; then
+		    mv -f license.txt unicows-license.txt
+		    mv -f redist.txt unicows-redist.txt
+		    echo "done";
+		else
+		    echo "failed";
+		    exit 1;
+		fi
+	    fi
+	    ;;
+    esac
 
     cd $BUILDDIR;
     APACHE_ANT='apache-ant-1.7.0'
@@ -434,16 +452,26 @@
 	exit 1
     fi
  
-   if test -f $OOBUILDDIR/external/msi/instmsia.exe -a \
-           -f $OOBUILDDIR/external/msi/instmsiw.exe; then
-	echo "Already have instmsia.exe and instmsiw.exe"
+   if test -f $OOBUILDDIR/external/msi/instmsiw.exe; then
+	echo "Already have instmsiw.exe"
     else
-	$GNUCP -p $SRCDIR/instmsia.exe $OOBUILDDIR/external/msi
 	$GNUCP -p $SRCDIR/instmsiw.exe $OOBUILDDIR/external/msi
-	chmod a+x $OOBUILDDIR/external/msi/instmsia.exe
 	chmod a+x $OOBUILDDIR/external/msi/instmsiw.exe
     fi
 
+    case "$DISTRO" in
+	NovellWin32*|GoOoWin32*)
+	    ;;
+	*)
+	    if test -f $OOBUILDDIR/external/msi/instmsia.exe; then
+		 echo "Already have instmsia.exe"
+	    else
+		 $GNUCP -p $SRCDIR/instmsia.exe $OOBUILDDIR/external/msi
+		 chmod a+x $OOBUILDDIR/external/msi/instmsia.exe
+	    fi
+	    ;;
+    esac
+	    
     if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
         if test -f $OOBUILDDIR/agfa_monotype_fonts/download/$AGFA_MONOTYPE_FONTS_SOURCE; then
             echo "Already have the Agfa Monotype fonts"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]